Subject: [codec] [Errata Verified] RFC6716 (4853)

From: RFC Errata System <[email-masked]>
Date: Wed, 2 Nov 2016 13:14:39 -0700 (PDT)

The following errata report has been verified for RFC6716,
"Definition of the Opus Audio Codec". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6716&eid=4853

--------------------------------------
Status: Verified
Type: Technical

Reported by: Rostislav Pehlivanov <[email-masked]>
Date Reported: 2016-11-02
Verified by: Ben Campbell (IESG)

Section: 5.1.1

Original Text
-------------
                                    rng
                        rng = rng - --- * (fh - fl)
                                    ft

Corrected Text
--------------
                                    rng
                        rng = rng - --- * (ft - fh)
                                    ft

Notes
-----
Equation should match with the one in the range decoder (section 4.1.2), however comparing the two and the reference implementation reveals the equation in section 5.1.1 to be incorrect.

--------------------------------------
RFC6716 (draft-ietf-codec-opus-16)
--------------------------------------
Title               : Definition of the Opus Audio Codec
Publication Date    : September 2012
Author(s)           : JM. Valin, K. Vos, T. Terriberry
Category            : PROPOSED STANDARD
Source              : Internet Wideband Audio Codec RAI
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG